//  24-08-2021
//  Batov'sHyphenatorSetForNewAndOpeningFiles.jsx  (v. 4.00)
//  UTF-8

#targetengine "session"

var myEventListener = app.addEventListener("afterOpen",myDisplayEventType,false);
var myHyphVendor = "0xf8500kHypLinguisticServiceName";

var debug = false;

function myDisplayEventType(myEvent)
{
	var vendor = new Array("Hunspell","Proximity","WinSoft","User Dictionary Only");
				
	if ( isBaHpresent() == false ) return;
	
	var n = app.documents.length;

	if ( debug ) alert("app.documents.length : " + n);
	
	if ( n )
	{
		var d = app.documents[n-1];
		
		for ( var language = d.languages.firstItem(); ; language = d.languages.nextItem(language) )
		{
			if ( (language.name.indexOf("Russian") != -1) || (language.name.indexOf("Русский") != -1) )
			{
				for ( var i = 0; i < vendor.length; i++ )
				{
					if ( language.hyphenationVendor.indexOf(vendor[i]) != -1 )
					{
						if ( debug ) alert("language.name : " + language.name);
						if ( debug ) alert("hyphenationVendor : " + language.hyphenationVendor);

						language.hyphenationVendor = myHyphVendor;
						if ( debug ) alert("Ready");
						break;
					}
				}
			}
			
			if ( language == d.languages.lastItem() ) break;
		}
	}
}

function isBaHpresent()
{
	try
	{
		var count = app.languagesWithVendors.itemByName("Russian").hyphenationVendorList.length;

		for ( var i = 0; i < count; i++ )
		{
			if ( debug ) alert(i + " " + app.languagesWithVendors.itemByName("Russian").hyphenationVendorList[i]);
			if ( app.languagesWithVendors.itemByName("Russian").hyphenationVendorList[i] === myHyphVendor ) return true;
		}
		alert("batov's hyphenator not found...");
		return false;
	}
	catch(e)
	{
		alert("script failed...");
		return false;
	}
}
			
